

<?php $__env->startSection('title'); ?>
    <?= get_label('expenses', 'Expenses') ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <div class="d-flex justify-content-between m-4">
            <div>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb breadcrumb-style1">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('home.index')); ?>"><?= get_label('home', 'Home') ?></a>
                        </li>
                        <li class="breadcrumb-item active">
                            <?= get_label('expenses', 'Expenses') ?>
                        </li>

                    </ol>
                </nav>
            </div>
            <div>
                <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#create_expense_modal"><button
                        type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="left"
                        data-bs-original-title=" <?= get_label('create_expense', 'Create expense') ?>"><i
                            class="bx bx-plus"></i></button></a>
                <a href="<?php echo e(route('expenses-type.index')); ?>"><button type="button" class="btn btn-sm btn-primary"
                        data-bs-toggle="tooltip" data-bs-placement="left"
                        data-bs-original-title="<?= get_label('expense_types', 'Expense types') ?>"><i
                            class='bx bx-list-ul'></i></button></a>
            </div>
        </div>

        <div class="card mt-4">
            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <?php if($expenses > 0): ?>

                        <div class="row mt-4 mx-2">
                            <div class="mb-3 col-md-3">
                                <div class="input-group input-group-merge">
                                    <input type="text" id="expense_from_date_between" class="form-control"
                                        placeholder="<?= get_label('date_between', 'Date between') ?>" autocomplete="off">
                                </div>
                            </div>

                            <?php if(isAdminOrHasAllDataAccess()): ?>
                                <div class="col-md-3">
                                    <select class="form-select" id="user_filter" aria-label="Default select example">
                                        <option value=""><?= get_label('select_user', 'Select user') ?></option>
                                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($user->id); ?>">
                                                <?php echo e($user->first_name . ' ' . $user->last_name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            <?php endif; ?>

                            <div class="col-md-3">
                                <select class="form-select" id="type_filter" aria-label="Default select example">
                                    <option value=""><?= get_label('select_type', 'Select type') ?></option>
                                    <?php $__currentLoopData = $expense_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($type->id); ?>"><?php echo e($type->title); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                        <input type="hidden" id="expense_date_from">
                        <input type="hidden" id="expense_date_to">


                        <input type="hidden" id="data_type" value="expenses">
                        <div class="mx-2 mb-2">
                            <table id="table" data-toggle="table" data-loading-template="loadingTemplate"
                                data-url="<?php echo e(route('expenses.list')); ?>" data-icons-prefix="bx" data-icons="icons"
                                data-show-refresh="true" data-total-field="total" data-trim-on-search="false"
                                data-data-field="rows" data-page-list="[5, 10, 20, 50, 100, 200]" data-search="true"
                                data-side-pagination="server" data-show-columns="true" data-pagination="true"
                                data-sort-name="id" data-sort-order="desc" data-mobile-responsive="true"
                                data-query-params="queryParams">
                                <thead>
                                    <tr>
                                        <th data-checkbox="true"></th>
                                        <th data-sortable="true" data-field="id"><?= get_label('id', 'ID') ?></th>
                                        <th data-sortable="true" data-field="title"><?= get_label('title', 'Title') ?></th>
                                        <th data-sortable="true" data-field="expense_type_id" data-visible="false">
                                            <?= get_label('expense_type_id', 'Expense type ID') ?></th>
                                        <th data-sortable="true" data-field="expense_type">
                                            <?= get_label('expense_type', 'Expense type') ?></th>
                                        <th data-sortable="true" data-field="user_id" data-visible="false">
                                            <?= get_label('user_id', 'User ID') ?></th>
                                        <th data-sortable="true" data-field="user"><?= get_label('user', 'User') ?></th>
                                        <th data-sortable="true" data-field="amount"><?= get_label('amount', 'Amount') ?>
                                        </th>
                                        <th data-sortable="true" data-field="expense_date">
                                            <?= get_label('expense_date', 'Expense date') ?></th>
                                        <th data-sortable="true" data-field="note" data-visible="false">
                                            <?= get_label('note', 'Note') ?></th>
                                        <th data-sortable="false" data-field="created_by" data-visible="false">
                                            <?= get_label('created_by', 'Created by') ?></th>
                                        <th data-sortable="true" data-field="created_at" data-visible="false">
                                            <?= get_label('created_at', 'Created at') ?></th>
                                        <th data-sortable="true" data-field="updated_at" data-visible="false">
                                            <?= get_label('updated_at', 'Updated at') ?></th>
                                        <th data-formatter="expensesActionsFormatter">
                                            <?= get_label('actions', 'Actions') ?></th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    <?php else: ?>
                        <?php
                        $type = 'Expenses'; ?>
                        <?php if (isset($component)) { $__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.empty-state-card','data' => ['type' => $type]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('empty-state-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['type' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($type)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf)): ?>
<?php $attributes = $__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf; ?>
<?php unset($__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf)): ?>
<?php $component = $__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf; ?>
<?php unset($__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf); ?>
<?php endif; ?>

                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>

    <script>
        var label_update = '<?= get_label('update', 'Update') ?>';
        var label_delete = '<?= get_label('delete', 'Delete') ?>';
        var label_duplicate = '<?= get_label('duplicate', 'Duplicate') ?>';
    </script>
    <script src="<?php echo e(asset('assets/js/pages/expenses.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infinitie/Siddharth/taskify-saas/resources/views/expenses/list.blade.php ENDPATH**/ ?>