

<?php $__env->startSection('title'); ?>
    <?= get_label('etimates_invoices', 'Estimates/Invoices') ?>
<?php $__env->stopSection(); ?>
<?php
    $routePrefix = Route::getCurrentRoute()->getPrefix();
?>

<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <div class="d-flex justify-content-between m-4">
            <div>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb breadcrumb-style1">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(url('/home')); ?>"><?= get_label('home', 'Home') ?></a>
                        <li class="breadcrumb-item active">
                            <?= get_label('etimates_invoices', 'Estimates/Invoices') ?>
                        </li>

                    </ol>
                </nav>
            </div>
            <div>
                <a href="<?php echo e(route('estimates-invoices.create')); ?>"><button type="button" class="btn btn-sm btn-primary"
                        data-bs-toggle="tooltip" data-bs-placement="left"
                        data-bs-original-title=" <?= get_label('create_estimate_invoice', 'Create estimate/invoice') ?>"><i
                            class="bx bx-plus"></i></button></a>
            </div>
        </div>

        <div class="card mt-4">
            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <?php if($estimates_invoices > 0): ?>
                        <div class="row mt-4 mx-2 mb-3">
                            <!-- Button with Badges -->
                            <div class="col-lg">
                                <!-- <div class="row gy-3"> -->
                                <div class="col-sm-4">
                                    <small class="text-light fw-semibold"><?= get_label('estimates', 'Estimates') ?></small>
                                    <div class="demo-inline-spacing">
                                        <?php
                                            $possibleStatuses = [
                                                'sent',
                                                'accepted',
                                                'draft',
                                                'declined',
                                                'expired',
                                                'not_specified',
                                            ];
                                        ?>
                                        <button type="button" class="btn btn-outline-success status-badge" data-status=""
                                            data-type="estimate">
                                            <?php echo e(get_label('all', 'All')); ?>

                                            <span
                                                class="badge bg-white text-success"><?php echo e(getStatusCount('', 'estimate')); ?></span>
                                        </button>
                                        <?php $__currentLoopData = $possibleStatuses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <button type="button"
                                                class="btn btn-outline-<?php echo e(getStatusColor($status)); ?> status-badge"
                                                data-status="<?php echo e($status); ?>" data-type="estimate">
                                                <?php echo e(get_label($status, ucfirst(str_replace('_', ' ', $status)))); ?>

                                                <span
                                                    class="badge bg-white text-<?php echo e(getStatusColor($status)); ?>"><?php echo e(getStatusCount($status, 'estimate')); ?></span>
                                            </button>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                                <!-- </div> -->
                            </div>
                        </div>

                        <div class="row mt-4 mx-2 mb-5">
                            <!-- Button with Badges -->
                            <div class="col-lg">
                                <div class="col-sm-4">
                                    <small class="text-light fw-semibold"><?= get_label('invoices', 'Invoices') ?></small>

                                    <div class="demo-inline-spacing">
                                        <?php
                                            $possibleStatuses = [
                                                'partially_paid',
                                                'fully_paid',
                                                'draft',
                                                'cancelled',
                                                'due',
                                                'not_specified',
                                            ];
                                        ?>
                                        <button type="button" class="btn btn-outline-success status-badge" data-status=""
                                            data-type="invoice">
                                            <?php echo e(get_label('all', 'All')); ?>

                                            <span
                                                class="badge bg-white text-success"><?php echo e(getStatusCount('', 'invoice')); ?></span>
                                        </button>
                                        <?php $__currentLoopData = $possibleStatuses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <button type="button"
                                                class="btn btn-outline-<?php echo e(getStatusColor($status)); ?> status-badge"
                                                data-status="<?php echo e($status); ?>" data-type="invoice">
                                                <?php echo e(get_label($status, ucfirst(str_replace('_', ' ', $status)))); ?>

                                                <span
                                                    class="badge bg-white text-<?php echo e(getStatusColor($status)); ?>"><?php echo e(getStatusCount($status, 'invoice')); ?></span>
                                            </button>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-4 mx-2 mb-3">
                            <div class="mb-3 col-md-3">
                                <div class="input-group input-group-merge">
                                    <input type="text" id="start_date_between" class="form-control"
                                        placeholder="<?= get_label('from_date_between', 'From date between') ?>"
                                        autocomplete="off">
                                </div>
                            </div>
                            <div class="mb-3 col-md-3">
                                <div class="input-group input-group-merge">
                                    <input type="text" id="end_date_between" class="form-control"
                                        placeholder="<?= get_label('to_date_between', 'To date between') ?>"
                                        autocomplete="off">
                                </div>
                            </div>
                            <?php if(!isClient()): ?>
                                <div class="col-md-3 mb-3">
                                    <select class="form-select" id="client_filter" aria-label="Default select example">
                                        <option value=""><?= get_label('select_client', 'Select client') ?></option>
                                        <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($client->id); ?>">
                                                <?php echo e($client->first_name . ' ' . $client->last_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            <?php endif; ?>
                            <div class="col-md-3">
                                <select class="form-select" id="type_filter" aria-label="Default select example">
                                    <option value=""><?= get_label('select_type', 'Select type') ?></option>
                                    <option value="estimate"><?= get_label('estimates', 'Estimates') ?></option>
                                    <option value="invoice"><?= get_label('invoices', 'Invoices') ?></option>
                                </select>
                            </div>
                        </div>
                        <input type="hidden" id="start_date_from">
                        <input type="hidden" id="start_date_to">

                        <input type="hidden" id="end_date_from">
                        <input type="hidden" id="end_date_to">

                        <input type="hidden" id="hidden_status">

                        <input type="hidden" id="data_type" value="estimates-invoices">
                        <div class="mx-2 mb-2">
                            <table id="table" data-toggle="table" data-loading-template="loadingTemplate"
                                data-url="<?php echo e(route('estimates-invoices.list')); ?>" data-icons-prefix="bx" data-icons="icons"
                                data-show-refresh="true" data-total-field="total" data-trim-on-search="false"
                                data-data-field="rows" data-page-list="[5, 10, 20, 50, 100, 200]" data-search="true"
                                data-side-pagination="server" data-show-columns="true" data-pagination="true"
                                data-sort-name="id" data-sort-order="desc" data-mobile-responsive="true"
                                data-query-params="queryParams">
                                <thead>
                                    <tr>
                                        <th data-checkbox="true"></th>
                                        <th data-sortable="true" data-formatter="idFormatter"><?= get_label('id', 'ID') ?>
                                        </th>
                                        <th data-sortable="true" data-field="type" data-visible="false">
                                            <?= get_label('type', 'Type') ?></th>
                                        <th data-sortable="false" data-field="client"><?= get_label('client', 'Client') ?>
                                        </th>
                                        <th data-sortable="true" data-field="from_date">
                                            <?= get_label('from_date', 'From date') ?></th>
                                        <th data-sortable="true" data-field="to_date">
                                            <?= get_label('to_date', 'To date') ?></th>
                                        <th data-sortable="true" data-field="total" data-visible="false">
                                            <?= get_label('sub_total', 'Sub total') ?></th>
                                        <th data-sortable="true" data-field="tax_amount" data-visible="false">
                                            <?= get_label('tax', 'Tax') ?></th>
                                        <th data-sortable="true" data-field="final_total">
                                            <?= get_label('final_total', 'Final total') ?></th>
                                        <th data-sortable="true" data-field="status"><?= get_label('status', 'Status') ?>
                                        </th>
                                        <th data-sortable="false" data-field="created_by" data-visible="false">
                                            <?= get_label('created_by', 'Created by') ?></th>
                                        <th data-sortable="true" data-field="created_at" data-visible="false">
                                            <?= get_label('created_at', 'Created at') ?></th>
                                        <th data-sortable="true" data-field="updated_at" data-visible="false">
                                            <?= get_label('updated_at', 'Updated at') ?></th>
                                        <th data-formatter="actionsFormatter"><?= get_label('actions', 'Actions') ?></th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    <?php else: ?>
                        <?php
                        $type = 'Estimates/Invoices';
                        $link = $routePrefix . '/estimates-invoices/create';
                        ?>
                        <?php if (isset($component)) { $__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.empty-state-card','data' => ['type' => $type,'link' => $link]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('empty-state-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['type' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($type),'link' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($link)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf)): ?>
<?php $attributes = $__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf; ?>
<?php unset($__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf)): ?>
<?php $component = $__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf; ?>
<?php unset($__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf); ?>
<?php endif; ?>

                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>


    <script>
        var routePrefix = '<?php echo e($routePrefix); ?>';
        var label_update = '<?= get_label('update', 'Update') ?>';
        var label_delete = '<?= get_label('delete', 'Delete') ?>';
        var label_duplicate = '<?= get_label('duplicate', 'Duplicate') ?>';
        var label_estimate_id_prefix = '<?= get_label('estimate_id_prefix', 'ESTMT-') ?>';
        var label_invoice_id_prefix = '<?= get_label('invoice_id_prefix', 'INVC-') ?>';
        var label_sent = '<?= get_label('sent', 'Sent') ?>';
        var label_accepted = '<?= get_label('accepted', 'Accepted') ?>';
        var label_partially_paid = '<?= get_label('partially_paid', 'Partially paid') ?>';
        var label_fully_paid = '<?= get_label('fully_paid', 'Fully paid') ?>';
        var label_draft = '<?= get_label('draft', 'Draft') ?>';
        var label_declined = '<?= get_label('declined', 'Declined') ?>';
        var label_expired = '<?= get_label('expired', 'Expired') ?>';
        var label_cancelled = '<?= get_label('cancelled', 'Cancelled') ?>';
        var label_due = '<?= get_label('due', 'Due') ?>';
    </script>
    <script src="<?php echo e(asset('assets/js/pages/estimates-invoices.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infinitie/Siddharth/taskify-saas/resources/views/estimates-invoices/list.blade.php ENDPATH**/ ?>